import request from "@/http/request";

const getLocations = (params) => {
    return request({
        url: '/location/getLocations',
        method: 'post',
        data: params
    })
}

const updateLocation = (params) => {
    return request({
        url: '/location/updateLocation',
        method: 'post',
        data: params
    })
}

const getAvailableLocations = (params) => {
    return request({
        url: '/location/getAvailableLocations',
        method: 'post',
        data: params
    })
}

const updateArea = (params) => {
    return request({
        url: '/location/updateArea',
        method: 'post',
        data: params
    })
}


const getStockList = () => {
    return request({
        url: '/stock/getStockList',
        method: 'get',
    })
}

const getVehicleList = (params) => {
    return request({
        url: '/location/getVehicleList',
        method: 'get',
    })
}
export {
    getLocations,
    updateLocation,
    getAvailableLocations,
    updateArea,
    getStockList,
    getVehicleList
}
